#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Data
%define		pnam	Dump
Summary:	Data::Dump - pretty printing of data structures
Summary(pl.UTF-8):	Data::Dump - ładne wyświetlanie struktur danych
Name:		perl-Data-Dump
Version:	1.23
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	762c111e525c82ff23d62c90821b26e9
URL:		http://search.cpan.org/dist/Data-Dump/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Data::Dump module. It is a simplification of
Sarathy's Data::Dumper. This module provides a single function called
dump() that takes a list of values as argument and produce a string as
result. The string contains Perl code that when evaled will produce a
deep copy of the original arguments. The string is formatted for easy
reading.

%description -l pl.UTF-8
Ten pakiet zawiera moduł Data::Dump. Jest on uproszczeniem modułu
Data::Dumper Sarathy'ego. Ten moduł dostarcza pojedynczą funkcję o
nazwie dump(), która przyjmuje jako argument listę wartości i zwraca
w wyniku ciąg znaków. Ciąg ten zawiera kod perlowy, który po wykonaniu
zwraca kopię oryginalnych argumentów. Ciąg ten jest sformatowany tak,
by był łatwo czytelny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Data/Dump.pm
%{perl_vendorlib}/Data/Dump
%{_mandir}/man3/Data::Dump*.3pm*
%changelog
* Wed Apr 29 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Data-Dump.git;a=log;h=9c474a7ef5026cf2dd30599fac1d2220d1c215ad

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9c474a7
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 62dc14f
- up to 1.23

* Sun Feb 05 2012 Jakub Bogusz <qboosh@pld-linux.org> b49531d
- unified Source URL

* Tue Jan 17 2012 zbyniu <zbyniu@pld-linux.org> ca70470
- up to 1.21

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 8b40cab
- updated to 1.19

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> f269208
- updated to 1.15

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 942c270
- updated to 1.14

* Tue Jan 06 2009 duddits <duddits@pld-linux.org> d09d2e2
- up to 1.13
- %files tune-ups

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 3c5a280
- tests bcond

* Thu Mar 06 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> d7f3db8
- rel.2

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> de53e77
- generic URL

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> 91294ef
- up to 1.08

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0dc699d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 260dfa9
- converted to UTF-8

* Fri Nov 12 2004 paladine <paladine@pld-linux.org> bf2fb95
- updated to 1.06

* Thu Nov 11 2004 paladine <paladine@pld-linux.org> 4334741
- updated to 1.05

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> afb89c4
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> e2db3f5
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> bf82409
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 0f9c9bc
- cosmetics

